Name: your_baby
Version: 0.1
Release: alt1
Summary: Forecasting of sex of your baby beforehand
License: LGPL/Donateware
Group: Toys
Url: http://your-baby.pisem.net
BuildPreReq: ImageMagick
Source0: %name.tar.bz2
Packager: Motsyo Gennadi <drool@altlinux.ru>

# Automatically added by buildreq on Wed Jul 11 2007 (-bi)
BuildRequires: ImageMagick libgtk+2-devel

%description
Computer programm for forecasting of sex of your baby beforehand

%description -l ru_RU.CP1251
      

%prep
%setup -q -n %name

%build
%__subst 's|/usr/local|/usr|g' configure
%__subst 's|you_baby|your_baby|g' {*.*,configure,configure.in}
%__subst 's|you_baby|your_baby|g' src/*.*

%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
mkdir -p %buildroot{%_miconsdir,%_liconsdir,%_niconsdir}
convert pixmaps/baby.gif -resize 48x48 %buildroot%_liconsdir/%name.png
convert pixmaps/baby.gif -resize 16x16 %buildroot%_miconsdir/%name.png
convert pixmaps/baby.gif -resize 32x32 %buildroot%_niconsdir/%name.png
 
#install menu
%__install -d %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name):command="%_bindir/%name" needs="x11" \ 
icon="%name.png" section="Applications/Accessibility" title="%name" \ 
longtitle="Forecasting of sex of your baby beforehand"
EOF

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/*
%_datadir/%name
%_menudir/%name
%_niconsdir/*
%_liconsdir/*
%_miconsdir/*

%changelog
* Mon Sep 03 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1-alt1
- build for Sisyphis

* Wed Jul 11 2007 Motsyo Gennadi <drool@altlinux.ru> 0.1-alt0.M40.1
- initial build for M40

* Thu Oct 06 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.1-alt1.drool
- initial build for ALT Linux
